Liking cljdoc? Tell your friends :D

kaocha.plugin.version-filter

Filter tests based on the Clojure or Java version.

This plugin will look for test metadata specifying the minimum or maximum version of Clojure or Java this test is designed to work with.

The recognized metadata keys are :min-clojure-version, :max-clojure-version, :min-java-version, and :max-java-version. The associated value is a version string, such as "1.10.0".

You can set both a minimum and a maximum to limit to a certain range. The boundaries are always inclusive, so ^{:max-clojure-version "1.9"} will run on Clojure 1.9.* or earlier.

Specificty matters, a test with a max version of "1.10" will also run on version"1.10.2", whereas if the max version is"1.10.0"` it will not.

Filter tests based on the Clojure or Java version.

This plugin will look for test metadata specifying the minimum or maximum
version of Clojure or Java this test is designed to work with.

The recognized metadata keys are `:min-clojure-version`,
`:max-clojure-version`, `:min-java-version`, and `:max-java-version`. The
associated value is a version string, such as `"1.10.0"`.

You can set both a minimum and a maximum to limit to a certain range. The
boundaries are always inclusive, so `^{:max-clojure-version "1.9"}` will run
on Clojure `1.9.*` or earlier.

Specificty matters, a test with a max version of `"1.10" will also run on
version `"1.10.2"`, whereas if the max version is `"1.10.0"` it will not.

compare-versions

(compare-versions v1 v2)
source

java-version

(java-version)
source

skip?

(skip? testable)
source

version-filter-hooks

source

version-filter-pre-test-hook

(version-filter-pre-test-hook testable test-plan)
source

version-vector

(version-vector v)
source

version>=?

(version>=? v1 v2)
source

cljdoc is a website building & hosting documentation for Clojure/Script libraries

× close